Page MenuHomePhabricator

Link inspector in NWE opens up with the previously used search term pre-filled in the search field
Closed, ResolvedPublic1 Estimate Story Points

Description

Steps to reproduce:

  1. Open NWE
  2. Select a text say, "Title"
  3. Open Link inspector for it and it will show up suggested pages for "Title"
  4. Now switch to external link
  5. Without applying the link close the link inspector by clicking somewhere else in the document
  6. Now open the link inspector without selecting any text to directly add the link to the page

Observe that, the link inspector opens up with the previous link text "Title" pre-filled in it. This is different from how it works inside VE and I am assuming the behavior of clearing the text fields in VE is the correct one.

Details

Related Gerrit Patches:

Event Timeline

Ryasmeen created this task.Jul 27 2017, 7:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2017, 7:36 PM
Esanders claimed this task.Jul 31 2017, 5:15 PM

Change 368817 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Copy over missing steps from MWLinkAnnotationInspector to Wikitext version

https://gerrit.wikimedia.org/r/368817

Deskana triaged this task as Medium priority.Jul 31 2017, 5:43 PM
Deskana moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Deskana set the point value for this task to 1.Aug 1 2017, 11:31 AM

Change 368817 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Copy over missing steps from MWLinkAnnotationInspector to Wikitext version

https://gerrit.wikimedia.org/r/368817

Deskana closed this task as Resolved.Aug 1 2017, 5:04 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 1 2017, 5:04 PM
Ryasmeen edited projects, added Verified; removed Patch-For-Review.Aug 2 2017, 12:29 AM